quick question

Discussion in 'iPhone' started by heroin, Mar 12, 2009.

  1. heroin

    heroin New Member

    Joined:
    Dec 28, 2007
    Messages:
    61
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    i tried to jb my iphone 3g this mornin with itunes 8.1 and when i shift restored 2.2.1 firmware restore it said that the firmware was not valied with current iphone softwarre. then exits. is this because i am using 8.1 itunes? or what am i missing?
  2. enyahs

    enyahs Member

    Joined:
    Feb 8, 2009
    Messages:
    306
    Likes Received:
    0
    Device:
    iPhone 3GS (White)
    You Probably should have looked at the Jailbreak thread before you posted this i mean.. i could be wrong cuz i dont have an iphone so i dont look for this but i did and I see.. http://www.ifans.com/forums/showthread.php?t=130625

    3G Users do not Upgrade to 2.2.1 Firmware Yet!!!!!

    aka if your going to jailbreak your iphone you can't use 2.2.1 firmware. You have to stay with 2.2
  3. heroin

    heroin New Member

    Joined:
    Dec 28, 2007
    Messages:
    61
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    ah that seems obvious..
  4. mugendc4

    mugendc4 New Member

    Joined:
    Jun 28, 2008
    Messages:
    49
    Likes Received:
    0
    Device:
    iPod touch
    try to redownloading the firmware again. Possible could be a bad one. I jailbreak my gf iphone 3g with 2.2.1 with no problem. If your planning to unlock your iphone, I wouldn't recommended restoring your iphone with 2.2.1 because it would upgrade your baseband. BTW I'm using iTunes 8.0.1

Share This Page